Bug 843158 - [abrt] gnome-shell-3.4.1-5.fc17: cogl_texture_get_height: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.4.1-5.fc17: cogl_texture_get_height: Process /usr/bin/gn...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:29d7fe9d988e8ca4772e069c167...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 14:18 EDT by Christian Biesinger
Modified: 2013-08-01 02:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:52:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.81 KB, text/plain)
2012-07-25 14:18 EDT, Christian Biesinger
no flags Details
File: maps (92.22 KB, text/plain)
2012-07-25 14:18 EDT, Christian Biesinger
no flags Details
File: dso_list (22.02 KB, text/plain)
2012-07-25 14:18 EDT, Christian Biesinger
no flags Details
File: build_ids (7.13 KB, text/plain)
2012-07-25 14:18 EDT, Christian Biesinger
no flags Details

  None (edit)
Description Christian Biesinger 2012-07-25 14:18:38 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
comment:        I don't know!
crash_function: cogl_texture_get_height
executable:     /usr/bin/gnome-shell
kernel:         3.4.6-2.fc17.x86_64
pid:            1285
pwd:            /home/cbiesinger
time:           Tue 24 Jul 2012 03:15:42 PM PDT
uid:            1000
username:       cbiesinger

backtrace:      Text file, 41786 bytes
build_ids:      Text file, 7298 bytes
dso_list:       Text file, 22545 bytes
maps:           Text file, 94433 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/cbiesinger/2

core_backtrace:
:9361d261c61d204de4ca0d9440ed5b8535ad4975 0x4dab0 cogl_texture_get_height libcogl.so.9 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x8cc08 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x9c0f4 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x8cede - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x8cf79 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x41566 clutter_actor_continue_paint libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x50157 - libclutter-1.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x449ed g_list_foreach libglib-2.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0xc803f - libclutter-1.0.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x3dda5 - libmutter.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf875 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x4149d clutter_actor_continue_paint libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x503e3 - libclutter-1.0.so.0 -
:fb339102a1f8532c110ac97acad8b87527bd1cfb 0x323b0 - libgnome-shell.so -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf875 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x4149d clutter_actor_continue_paint libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x503e3 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x9ebba - libclutter-1.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20450 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x4149d clutter_actor_continue_paint libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x503e3 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0xa2ab9 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x397a9 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0xa1733 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x87afd - libclutter-1.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x540b7 meta_run libmutter.so.0 -
:05792ba8e5037b0a798ce87d3331dd3d455a5624 0x1c47 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=cbiesinger-s30
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/cbiesinger/keyring-yA7YHE
:IMSETTINGS_MODULE=none
:USER=cbiesinger
:USERNAME=cbiesinger
:MAIL=/var/spool/mail/cbiesinger
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/cbiesinger/.local/bin:/home/cbiesinger/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/cbiesinger
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1057
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/cbiesinger
:SHLVL=1
:LOGNAME=cbiesinger
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-KQbEqkNLLY,guid=973366a226d00c787febc4260000001f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/cbiesinger
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-cbiesinger-pk37Bi/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1061,unix/unix:/tmp/.ICE-unix/1061
:SSH_AUTH_SOCK=/run/user/cbiesinger/keyring-yA7YHE/ssh
:GPG_AGENT_INFO=/run/user/cbiesinger/keyring-yA7YHE/gpg:0:1
:DESKTOP_AUTOSTART_ID=10e40966494ebe18d7134316724822786900000010610000

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 127847               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       127847               127847               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/cbiesinger/.xsession-errors
:pos:	5279
:flags:	0102002
:2:/home/cbiesinger/.xsession-errors
:pos:	5279
:flags:	0102002
:3:pipe:[13153]
:pos:	0
:flags:	04000
:4:pipe:[13153]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[13154]
:pos:	0
:flags:	02004002
:7:socket:[23648]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:socket:[19925]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[22597]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:socket:[24656]
:pos:	0
:flags:	02004002
:16:socket:[24657]
:pos:	0
:flags:	02004002
:17:pipe:[24658]
:pos:	0
:flags:	02004000
:18:pipe:[24658]
:pos:	0
:flags:	02004001
:19:socket:[24662]
:pos:	0
:flags:	02004002
:20:socket:[24664]
:pos:	0
:flags:	02000002
:21:/dev/urandom
:pos:	0
:flags:	02100000
:22:socket:[24697]
:pos:	0
:flags:	02000002
:23:anon_inode:inotify
:pos:	0
:flags:	02004000
:24:/tmp/ffiSfEEKI (deleted)
:pos:	0
:flags:	0100002
:25:socket:[22699]
:pos:	0
:flags:	02004002
:26:socket:[22696]
:pos:	0
:flags:	02004002
:27:socket:[24717]
:pos:	0
:flags:	02004002
:28:/dev/rfkill
:pos:	0
:flags:	0104002
:29:socket:[22714]
:pos:	0
:flags:	02004002
:30:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:31:pipe:[23705]
:pos:	0
:flags:	02004000
:32:pipe:[13216]
:pos:	0
:flags:	01
:33:pipe:[23705]
:pos:	0
:flags:	02004001
:34:socket:[13242]
:pos:	0
:flags:	02004002
:35:socket:[23708]
:pos:	0
:flags:	02004002
:36:/home/cbiesinger/.cache/event-sound-cache.tdb.e33576dc630d49e6890e380b00000048.x86_64-redhat-linux-gnu
:pos:	168
:flags:	02100002
:37:anon_inode:inotify
:pos:	0
:flags:	02004000
:38:socket:[21995]
:pos:	0
:flags:	02004002
:39:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul 24 14:15:38 cbiesinger-s30 gnome-session[990]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Jul 24 14:15:39 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Jul 24 14:15:39 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Jul 24 14:15:39 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Jul 24 14:15:39 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Jul 24 14:15:39 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmManager: read /usr/share/gdm/greeter/applications/gnome-shell.desktop
:Jul 24 14:15:39 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmManager: adding required app gnome-shell.desktop
:Jul 24 14:15:39 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmManager:#011ID: /org/gnome/SessionManager/App1#011app-id:gnome-shell.desktop#011is-disabled:0#011is-conditionally-disabled:0
:Jul 24 14:15:41 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmAutostartApp: starting gnome-shell.desktop: command=gnome-shell --gdm-mode startup-id=107e4e117bdd34ff53134316453989712200000009900000
:Jul 24 14:15:41 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmXSMPClient:   Program = 'gnome-shell'
:Jul 24 14:15:53 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmXSMPClient: Client '0x232b800 [gnome-shell 107e4e117bdd34ff53134316453989712200000009900000]' received SaveYourselfDone(success = True)
:Jul 24 14:15:53 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmXSMPClient: Client '0x232b800 [gnome-shell 107e4e117bdd34ff53134316453989712200000009900000]' received SaveYourselfDone(success = True)
:Jul 24 14:15:53 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmXSMPClient: xsmp_stop ('0x232b800 [gnome-shell 107e4e117bdd34ff53134316453989712200000009900000]')
:Jul 24 14:15:53 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmXSMPClient: Client '0x232b800 [gnome-shell 107e4e117bdd34ff53134316453989712200000009900000]' received CloseConnection
:Jul 24 14:15:53 cbiesinger-s30 gnome-session[990]: DEBUG(+): GsmXSMPClient: xsmp_finalize (0x232b800 [gnome-shell 107e4e117bdd34ff53134316453989712200000009900000])
:Jul 24 14:33:06 cbiesinger-s30 yum[1734]: Updated: gnome-shell-3.4.1-5.fc17.x86_64
:Jul 24 15:15:42 cbiesinger-s30 kernel: [  925.953517] gnome-shell[1285]: segfault at 50 ip 00007f976f7a2ab0 sp 00007fff3af9f7b8 error 4 in libcogl.so.9.1.1[7f976f755000+86000]
:Jul 24 15:15:44 cbiesinger-s30 abrt[2196]: Saved core dump of pid 1285 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2012-07-24-15:15:42-1285 (229724160 bytes)
:Jul 24 15:15:44 cbiesinger-s30 gnome-session[1061]: WARNING: Application 'gnome-shell.desktop' killed by signal 11

xsession_errors:
:(gnome-shell:1285): Cogl-WARNING **: shmget failed
:(gnome-shell:1285): Cogl-WARNING **: Skipping layers 1..n of your pipeline since the first layer is sliced. We don't currently support any multi-texturing with sliced textures but assume layer 0 is the most important to keep
:gnome-session[1061]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
:(gnome-shell:2199): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:(gnome-shell:2199): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:(gnome-shell:2199): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:(gnome-shell:2199): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:(gnome-shell:2199): folks-WARNING **: Error preparing persona store 'eds:1343168178.2142.3@cbiesinger-s30': Couldn't open address book ‘1343168178.2142.3@cbiesinger-s30’: Invalid source
:(gnome-shell:2199): folks-WARNING **: Error preparing persona store 'eds:1343168178.2142.4@cbiesinger-s30': Couldn't open address book ‘1343168178.2142.4@cbiesinger-s30’: Invalid source
:(gnome-shell:2199): folks-WARNING **: Error preparing persona store 'eds:1343168178.2142.5@cbiesinger-s30': Couldn't open address book ‘1343168178.2142.5@cbiesinger-s30’: Invalid source
:(gnome-shell:2199): folks-WARNING **: Error preparing persona store 'eds:1343168178.2142.6@cbiesinger-s30': Couldn't open address book ‘1343168178.2142.6@cbiesinger-s30’: Invalid source
:(gnome-shell-calendar-server:2218): ShellCalendarServer-WARNING **: Error opening calendar local:system: Cannot open calendar: Calendar does not exist
:(gnome-shell-calendar-server:2218): ShellCalendarServer-WARNING **: Error opening calendar local:system: Cannot open calendar: Calendar does not exist
:(gnome-shell-calendar-server:2218): libecal-WARNING **: e_cal_client_new: Cannot get calendar from factory: Invalid source
:(gnome-shell-calendar-server:2218): ShellCalendarServer-WARNING **: Could not load source 'Calendar' from ';09419300000001DD': Invalid source
:(gnome-shell-calendar-server:2218): libecal-WARNING **: e_cal_client_new: Cannot get calendar from factory: Invalid source
:(gnome-shell-calendar-server:2218): ShellCalendarServer-WARNING **: Could not load source 'Calendar' from ';09419300000001DD': Invalid source
Comment 1 Christian Biesinger 2012-07-25 14:18:41 EDT
Created attachment 600363 [details]
File: backtrace
Comment 2 Christian Biesinger 2012-07-25 14:18:44 EDT
Created attachment 600364 [details]
File: maps
Comment 3 Christian Biesinger 2012-07-25 14:18:46 EDT
Created attachment 600365 [details]
File: dso_list
Comment 4 Christian Biesinger 2012-07-25 14:18:47 EDT
Created attachment 600366 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 21:53:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 02:52:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.